#include<iostream>
using namespace std;

int main(){

    int N;
    cin>>N;
    if(N<2)
    {
        cout<<"-1"<<endl;
        return 0;
    }
    if(N%2!=0)
    {
        cout<<"7";
        N-=3;
    }
    for(int i=N; i>0; i-=2)
    {
        cout<<"1";
    }
    cout<<endl;
    return 0;
}